envoy(1)

NAME
envoyd - process manager for envoy

SYNOPSIS
envoyd [options] [files]

DESCRIPTION
envoyd starts the agent of choice in a sanitized environment and caches the associated environmental variables in memory. The agent is started on demand and it's lifetime is tracked through cgroups for accuracy. This daemon is typically started as root and can thus serve all the users on the system at once. When started as root, it will checks the credentials of the incoming connection and starts the agent under that uid/guid. If its started as a user it will only be able to serve that particular user's requests. This effectively allows a user to share a single long-running authentication agent between all shells and sessions in a clean and managed fashion that doesn't clutter user login sessions.

OPTIONS

-h, --help
    Display help message.

-v, --version
    Display version information.

-t AGENT, --agent=AGENT
    Set the default agent type to start. By default this is ssh-agent.

ENVIRONMENT

ENVOY_SOCKET
    Both envoyd and envoy use this environment variable for the location of the unix domain socket for communication. Prefixing the socket with a @ denotes an abstract namespace. The default socket is @/vodik/envoy

AUTHORS
Simon Gomizelj <simongmzlj@gmail.com>

SEE ALSO
envoy(1), envoy-exec(1), ssh-agent(1), ssh-add(1), gpg-agent(1)